diff --git a/web/pgadmin/tools/debugger/tests/debugger_test_data.json b/web/pgadmin/tools/debugger/tests/debugger_test_data.json
index bcd0613..c8991a5 100644
--- a/web/pgadmin/tools/debugger/tests/debugger_test_data.json
+++ b/web/pgadmin/tools/debugger/tests/debugger_test_data.json
@@ -467,7 +467,7 @@
       "url": "debugger/start_listener/",
       "is_positive_test": true,
       "mocking_required": false,
-      "type": "direct",
+      "type": "indirect",
       "invalid_name": false,
       "add_extension": true,
       "init_target": true,
diff --git a/web/pgadmin/tools/debugger/tests/test_start_listener_debugger.py b/web/pgadmin/tools/debugger/tests/test_start_listener_debugger.py
index f4b079e..b99a888 100644
--- a/web/pgadmin/tools/debugger/tests/test_start_listener_debugger.py
+++ b/web/pgadmin/tools/debugger/tests/test_start_listener_debugger.py
@@ -35,8 +35,8 @@ class DebuggerStartListener(BaseTestGenerator):
 
         local_self = funcs_utils.set_up(self)
 
-        if self.server['type'] == 'pg':
-            self.skipTest('Skipping test case for pg')
+        # if self.server['type'] == 'pg':
+        #     self.skipTest('Skipping test case for pg')
 
         self.test_data['funcowner'] = self.server["username"]
 
diff --git a/web/pgadmin/tools/debugger/tests/utils.py b/web/pgadmin/tools/debugger/tests/utils.py
index 6f6082d..0d508c1 100644
--- a/web/pgadmin/tools/debugger/tests/utils.py
+++ b/web/pgadmin/tools/debugger/tests/utils.py
@@ -59,10 +59,20 @@ def add_extension(self, utils):
         "version": "1.1"
     }
     try:
-        response = self.tester.post(
-            extension_url,
-            data=json.dumps(extension_data),
-            content_type='application/json')
+        connection = utils.get_db_connection(self.db_name,
+                                             self.server['username'],
+                                             self.server['db_password'],
+                                             self.server['host'],
+                                             self.server['port'],
+                                             self.server['sslmode'])
+        pg_cursor = connection.cursor()
+        # Create pldbgapi extension if not exist.
+        pg_cursor.execute('''CREATE EXTENSION IF NOT EXISTS
+        "%s" WITH SCHEMA "%s" VERSION
+        "%s" ''' % ('pldbgapi', self.schema_name, '1.1')
+        )
+
+        connection.commit()
     except Exception as e:
         print('Unable to create "pldbgapi" extension.')
 
